jQuery(function($){

	// Document Ready
	jQuery(document).ready(function() {

		jQuery(document).on('click', '.alexandria-conversation-builder-start-game-button', function(e){
			e.preventDefault();
			alexandria_conversation_builder_start_builder();
		});
		
	});

	// Start Builder
	function alexandria_conversation_builder_start_builder() {

		var lang = jQuery('html').attr('lang');
		var lang_code = lang.substring(0, 2);

		let post_data = {
			'action': 'alexandria_conversation_builder_ajax',
			'alexandria_conversation_builder_action': 'start',
			'lang': lang_code
		}

		jQuery('.alexandria-conversation-builder__wrapper').fadeOut("slow", function(){
			jQuery('#alexandria_conversation_builder_loading_spinner').fadeIn("fast");
		});

		setTimeout(function(){
			alexandria_conversation_builder_start_builder_get_conversation_data(post_data);
		}, 1000);
	}

	// Get Conversation data from server
	function alexandria_conversation_builder_start_builder_get_conversation_data(post_data) {

		// console.log(post_data);

		var url = translated_alexandria_conversation_builder_strings.admin_url;

		jQuery.post(url, post_data, function(response) {  

			jQuery('#alexandria_conversation_builder_loading_spinner').fadeOut();

			jQuery('#alexandria_conversation_builder_main').html(response);

			initBuilder();

		});
	}
	
});

